Page MenuHomePhabricator

Postconfig scripts do not always run after config load is complete
Closed, ResolvedPublic

Description

The reason is that systemd doesn't wait for vyos-router to complete before starting rc-local.service
For a foolproof solution, we should better move its execution inside the vyos-router script.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-epa2
Why the issue appeared?
Will be filled on close
dmbaturin created this task.Jan 2 2019, 9:27 AM
dmbaturin triaged this task as Normal priority.
pasik added a subscriber: pasik.Jan 3 2019, 10:44 PM
syncer closed this task as Resolved.Jan 20 2019, 1:35 PM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-EPA3) board.